> ## Documentation Index
> Fetch the complete documentation index at: https://developers.simplesell.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a parcel



## OpenAPI

````yaml /api/v1/openapi.yaml post /parcels/{id}/cancel
openapi: 3.0.0
info:
  title: SimpleSell API
  description: Welcome to the SimpleSell API.
  version: 1.0.0
servers:
  - url: https://api.simplesell.de/v1
security:
  - BearerAuth: []
paths:
  /parcels/{id}/cancel:
    post:
      tags:
        - Parcels
      summary: Cancel a parcel
      parameters:
        - in: path
          name: id
          description: The parcel ID.
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: The parcel was cancelled.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      parcel:
                        $ref: '#/components/schemas/Parcel'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    Parcel:
      type: object
      properties:
        id:
          type: string
          format: uuid
        source:
          type: string
        reference_code:
          type: string
        created_at:
          type: string
          format: date-time
        processed_at:
          type: string
          format: date-time
          nullable: true
        printed_at:
          type: string
          format: date-time
          nullable: true
        cancelled_at:
          type: string
          format: date-time
          nullable: true
        cancellable_until:
          type: string
          format: date-time
          nullable: true
        receiver:
          type: object
          nullable: true
          properties:
            name:
              type: string
              nullable: true
            company:
              type: string
              nullable: true
            address_line_1:
              type: string
              nullable: true
            house_number:
              type: string
              nullable: true
            address_line_2:
              type: string
              nullable: true
            postal_code:
              type: string
              nullable: true
            city:
              type: string
              nullable: true
            state_or_region:
              type: string
              nullable: true
            country:
              type: string
              nullable: true
              description: ISO 3166-1 alpha-2 country code.
            email:
              type: string
              format: email
              nullable: true
            phone:
              type: string
              nullable: true
        number_of_labels:
          type: integer
        weight:
          type: string
          nullable: true
          description: Weight in kilograms.
        packaging:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
        dimensions:
          type: object
          nullable: true
          properties:
            length:
              type: string
              description: Length in centimeters.
            width:
              type: string
              description: Width in centimeters.
            height:
              type: string
              description: Height in centimeters.
        reference:
          type: string
          nullable: true
        shipping_method:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
        integration_account:
          type: object
          nullable: true
          properties:
            name:
              type: string
        order_number:
          type: string
          nullable: true
        order_date:
          type: string
          format: date-time
        ship_by:
          type: string
          format: date-time
          nullable: true
        deliver_by:
          type: string
          format: date-time
          nullable: true
        currency:
          type: string
          description: ISO 4217 currency code.
        order_total_price:
          type: string
          nullable: true
        order_shipping_price:
          type: string
          nullable: true
        shipping_request:
          type: string
          nullable: true
        export_reason:
          type: string
        tags:
          type: array
          items:
            type: string
        note:
          type: string
          nullable: true
        items:
          type: array
          items:
            type: object
            properties:
              sku:
                type: string
                nullable: true
              quantity:
                type: integer
              name:
                type: string
                nullable: true
              weight:
                type: string
                nullable: true
                description: Weight in kilograms.
              price:
                type: string
                nullable: true
              storage_location:
                type: string
                nullable: true
              description:
                type: string
                nullable: true
              origin_country:
                type: string
                nullable: true
                description: ISO 3166-1 alpha-2 country code.
              hs_code:
                type: string
                nullable: true
              note:
                type: string
                nullable: true
        labels:
          type: array
          items:
            type: object
            properties:
              number:
                type: integer
              tracking_number:
                type: string
                nullable: true
              tracking_url:
                type: string
                format: uri
                nullable: true
              return_tracking_number:
                type: string
                nullable: true
        documents:
          type: object
          properties:
            labels:
              type: string
              format: uri
              description: Available once the parcel is printed, unless cancelled.
            customs_declaration:
              type: string
              format: uri
              description: >-
                Available once the parcel is printed, unless cancelled. Only for
                parcels subject to customs.
        processing_errors:
          type: array
          description: >-
            Errors of the last failed processing attempt. Empty once the parcel
            is processed.
          items:
            type: string
  responses:
    Unauthorized:
      description: Authentication is required.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    PaymentRequired:
      description: Account requires a subscription or plan upgrade.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Forbidden:
      description: Access to this resource is not permitted.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    NotFound:
      description: Requested resource cannot be found.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Conflict:
      description: Request conflicts with the current resource state.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    TooManyRequests:
      description: Request rate limit has been exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Your SimpleSell API token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.